<?php

use Polkurier\Util\Arr;

$order = PolkurierOrder::getOrderByNumber((string)$_GET['label']);
$statusUpdater = new PolkurierOrderStatusUpdater();
$statusUpdater->updateOrderStatus($order);

?>
<h2>Szczegóły zamówienia Polkurier <?php echo $order->params['order_number'] ?></h2>
<table class="form-table">
<tbody>
<tr>
<th scope="row"><label>Przewoźnik</label></th>
<td><?php echo $order->params['carrier'] ?></td>
</tr>
<tr>
<th scope="row"><label>Rodzaj przesyłki</label></th>
<td><?php switch($order->params['extra']['shipmenttype']) {
    case "box": echo "paczka"; break;
    case "envelope": echo "koperta"; break; 
    case "palette": echo "paleta"; break;
} ?></td>
</tr>
<tr>
<th scope="row"><label>Data nadania</label></th>
<td><?php echo $order->params['extra']['pickup']['pickupdate'] ?></td>
</tr>
<tr>
<th scope="row"><label>Paczki</label></th>
<td><?php foreach ($order->params['extra']['packs'] as $pack) {
echo "(wymiary: ".$pack['height']."x".$pack['width']."x".$pack['length']."cm, waga: ".$pack['weight']."kg, ilość: ".$pack['amount'].")".(($pack['type']=='NST')?" niestandardowa":null)."</br>";
} ?></td>
</tr>
<tr>
<th scope="row"><label>Adres nadawcy</label></th>
<td>
<?php
  echo $order->params['extra']['sender']["company"] . "<br/>";
  echo $order->params['extra']['sender']["person"] . "<br/>";
  echo $order->params['extra']['sender']["street"] . " " . $order->params['extra']['sender']["housenumber"] . " " . $order->params['extra']['sender']["flatnumber"] . "<br/>";
  echo $order->params['extra']['sender']["postcode"] . " " . $order->params['extra']['sender']["city"] . ' (' . Arr::get($order->params['extra']['sender'], "country", 'PL'). ")<br/>";
  echo $order->params['extra']['sender']["phone"] . " " . $order->params['extra']['sender']["email"] . '<br>';
  echo !empty($order->params['extra']['sender']["machinename"]) ? 'Punkt nadania: ' . $order->params['extra']['sender']["machinename"] : '';
?>
</td>
</tr>
<tr>
<th scope="row"><label>Adres odbiorcy</label></th>
<td>
<?php
  echo $order->params['extra']['recipient']["company"] . "<br/>";
  echo $order->params['extra']['recipient']["person"] . "<br/>";
  echo $order->params['extra']['recipient']["street"] . " " . $order->params['extra']['recipient']["housenumber"] . " " . $order->params['extra']['recipient']["flatnumber"] . "<br/>";
  echo $order->params['extra']['recipient']["postcode"] . " " . $order->params['extra']['recipient']["city"] . ' (' . $order->params['extra']['recipient']["country"] . ")<br/>";
  echo $order->params['extra']['recipient']["phone"] . " " . $order->params['extra']['recipient']["email"] . '<br>';
  echo !empty($order->params['extra']['recipient']["machinename"]) ? 'Punkt odbioru: ' . $order->params['extra']['recipient']["machinename"] : '';
?>
</td>
</tr>
<tr>
<th scope="row"><label>Kwota pobrania</label></th>
<td><?php echo ((isset($order->params['extra']['pobranie'])&&$order->params['extra']['pobranie'])?$order->params['extra']['pobranie']:'brak') ?></td>
</tr>
<tr>
<th scope="row"><label>Kwota ubezpieczenia</label></th>
<td><?php echo ($order->params['extra']['insurance']?$order->params['extra']['insurance']:'brak') ?></td>
</tr>
<tr>
<th scope="row"><label>Status</label></th>
<td><?php echo $order->status;
if ($order->status_code == 'D') { // dostarczona
  echo ", data doręczenia: ".$order->delivery_date;
}
?></td>
</tr>

</tbody>
</table>
<?php
if( wp_get_referer() ) {
  echo '<a href="'.wp_get_referer().'" >Wstecz</a>';
} else {
  echo '<a href="admin.php?page=polkurier_packages">Wstecz</a>';  
} 