<?php


namespace Polkurier\Http;


/**
 * Class JsonResponse
 * @package Polkurier\Util
 */
class JsonResponse extends Response
{

    /**
     * Response constructor.
     * @param mixed $content
     * @param int $code
     * @param array $headers
     */
    public function __construct($content = '', $code = 200, array $headers = [])
    {
        $headers['Content-Type'] = 'application/json';
        parent::__construct($content, $code, $headers);
    }

    /**
     * @param $content
     * @return JsonResponse
     */
    public function setContent($content)
    {
        if (\is_array($content) || $content instanceof \JsonSerializable) {
            $content = json_encode($content);
        }
        return parent::setContent($content);
    }

}
