<?php

namespace Polkurier\ShippingMethods;


class FedExDtrShippingMethodMethod extends AbstractShippingMethod
{

    /**
     * {@inheritDoc}
     * @return string
     */
    protected function getDefaultTitle()
    {
        return 'FedEx Punkt';
    }

    /**
     * {@inheritDoc}
     * @return string
     */
    public function getId()
    {
        return 'pk_fedex_dtr';
    }

    /**
     * @return string
     */
    public function getPolkurierId()
    {
        return 'FEDEX_DTR';
    }

    /**
     * {@inheritDoc}
     */
    public function isParcelPickupPoint()
    {
        return true;
    }

    /**
     * {@inheritDoc}
     * @return string
     */
    public function getSelectButtonLabel()
    {
        return __('Wybierz punkt', \Polkurier::instance()->getTextDomain());
    }

    /**
     * {@inheritDoc}
     * @return string
     */
    public function getSelectedPointLabel()
    {
        return __('Wybrany punkt', \Polkurier::instance()->getTextDomain());
    }

    /**
     * {@inheritDoc}
     * @return array|void
     */
    protected function getErrorMessages()
    {
        $textNs = \Polkurier::instance()->getTextDomain();
        return [
            self::ERROR_MESSAGE_NOT_POINT_SELECTED => __('Nie wybrano punktu', $textNs),
        ];
    }

}
